.container__reasons-upgrade {
  background-color: var(--colorWhite);
  background-image: url(/template/img/logo-bg-light.svg);
  background-repeat: no-repeat;
  background-position: top 251px left 0px;
  background-size: 690px 332px;
}

.reasons-upgrade {
  display: flex;
  justify-content: space-between;
  padding-top: 158px;
  padding-bottom: 158px;
}

.reasons-upgrade__left {
  width: 430px;
  padding-top: 360px;
  /* position: sticky; */
}
.reasons-upgrade__left_sticky {
  position: sticky;
  top: 200px;
}

.reasons-upgrade__right {
  width: 910px;
}
.reasons-upgrade__grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 40px;
}

.reasons-upgrade__figure {
  position: relative;
  margin: 0;
}

.reasons-upgrade__figure:nth-child(even) {
  top: 80px;
}

.reasons-upgrade__figure::after {
  content: " ";
  background: #cad4df;
  z-index: 1;
  width: 100%;
  height: calc(100% - 5px);
  position: absolute;
  bottom: 5px;
  left: 0;
  opacity: 95%;
  transition: all 1s;
}
.reasons-upgrade__figure:hover.reasons-upgrade__figure::after {
  opacity: 0;
}

.reasons-upgrade__svg {
  position: absolute;
  top: 34px;
  right: 41px;
  width: 108px;
  height: 108px;
  z-index: 2;
  border-radius: 50%;
  transition: all 1s;
  border: 2px solid #1f1f1f33;
}

.reasons-upgrade__figure:hover .reasons-upgrade__svg {
  background: #fff;
  border: 2px solid #fff;
}

.reasons-upgrade__img {
  height: 482px;
  object-fit: cover;
}

.reasons-upgrade__figure > figcaption {
  position: absolute;
  left: 46px;
  bottom: 40px;
  /* width: 308px;
   */
  width: calc(100% - 46px - 20px);
  transition: all 1s;
}

.reasons-upgrade__figure:hover.reasons-upgrade__figure > figcaption {
  color: #fff;
}

.reasons-upgrade h4 {
  color: #9b9b9c;
}

/* ===== 12.04.22  =====  */
.menu {
  background-image: url(/template/img/logo-bg.svg);
  background-repeat: no-repeat;
  background-position: bottom -19px left;
  background-size: 474px 267px;
  box-shadow: -20px 4px 124px rgb(0 0 0 / 25%);
}

.menu__footer {
  display: flex;
  justify-content: space-between;
  position: absolute;
  bottom: 36px;
  left: 0px;
  width: 410px;
}

.menu__footer > a.title-3 {
  border-bottom: 1px solid;
}

.showroom {
  background-image: url(/template/img/bg__x.svg);
  background-repeat: no-repeat;
  background-position: bottom right;
  background-size: 519px 598px;
}

/* ===== Анимация точки на карте ====== */

.map-bg div[title] {
  overflow: visible !important;
}

/*
.map-bg div[title]:after,
.map-bg div[title]:before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  width: 300px;
  height: 300px;
  transition: 1s;
  border: 1px solid var(--colorYellow);
  border-radius: 50%;
  z-index: 3;
}
 .map-bg div[title]:after {
  animation: pulse-dote 2s infinite;
}

.map-bg div[title]:before {
  animation: pulse-dote 2s infinite;
  animation-delay: 500ms;
} */

@keyframes pulse-dote {
  0% {
    opacity: 1;

    width: 50%;
    height: 50%;
    transform: scale(0);
  }
  100% {
    opacity: 0;
    width: 100%;
    height: 100%;
    transform: scale(3);
  }
}

/* ===== pop-up Projects ===== */

.pop-up-filter {
  display: none;
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  /* width: 100vw;
  height: 100vh; */
  /* max-width: 375px; */
  overflow: hidden;
  /* overflow-x: hidden; */
  padding: 61px 0 0 0;
  z-index: 9;
  background-color: #fff;
}
.pop-up-show {
  display: block;
}

.pop-up-filter__head {
  border-bottom: 2px solid var(--colorBorder);
  padding-left: 28px;
  margin-bottom: 19px;
}

.pop-up-filter__head .pop-up-filter__close-button-bg {
  background-color: #fff;
  height: 62px;
  width: 62px;
  top: 22px;
  right: 26px;
  border: 2px solid var(--colorBlack);
}

.pop-up-filter__head .popup-gallery__close-button-front {
  width: 32px;
  height: 32px;
}

.pop-up-filter__close-button-front {
  display: inline-block;
  width: 26px;
  height: 26px;
  background-size: 100% 2px, 2px 100%; /*thickness = Npx, length = N% */
}

.filter-head__title {
  margin-bottom: 14px;
}
.filter-body__title {
  margin-bottom: 28px;
  padding-left: 28px;
}

.filter-body__filter-panel {
  padding-left: 31px;
}
.filter-body__button {
  position: absolute;
  bottom: 30px;
  left: 14px;
  right: 14px;
}

/* ===== Projects адаптив ===== */

button.button.button_black.js-apply-filter {
  width: 100%;
}
.filter.mobil {
  display: none;
}

.popup-gallery__main .swiper-button-next::after,
.popup-gallery__main .swiper-button-prev::after {
  display: none;
}
.popup-gallery__main .swiper-button-next,
.popup-gallery__main .swiper-button-prev {
  background: url(../img/swiper__arrow.svg) no-repeat center/100%;
  margin-top: -26px;
  width: 26px;
  height: 52px;
}

.popup-gallery__main .swiper-button-next {
  transform: rotate(180deg);
  right: 36px;
}
.popup-gallery__main .swiper-button-prev {
  left: 36px;
}

@media only screen and (max-width: 1700px) {
  .grid {
    width: 80%;
  }
  .breads {
    /* margin-bottom: 35px; *96* */
  }
  /* .caption { конфликтует с другими макетами, может ошибка в макете
    font-size: 14px;
  } */
  .container.container_projects {
    min-height: 442px;
  }

  .product-text {
    /* margin-bottom: 48px;*96* */
  }

  .container.container_projects .mainpage-title {
    margin-bottom: 14px;
  }
  .mainpage-title {
    font-size: 64px;
  }
  .mainpage-text {
    width: 60%;
  }

  .filters-selects {
    margin-right: 5px;
  }

  .container.container_filters {
    padding: 57px 0;
  }

  .filter {
    margin-right: 12px;
  }

  .filter-select {
    width: 166px;
    padding: 10px 26px;
  }
  .filter-select__placeholder span {
    font-size: 14px;
  }
  .filters-wrap {
    margin-bottom: 31px;
  }

  .projects-wrap {
    grid-gap: 42px;
    margin-bottom: 56px;
  }
  .slider-project__visual {
    height: 258px;
    margin-bottom: 21px;
  }
  .filter-panel {
    top: 51px;
    width: 205px;
    padding: 32px 22px 18px 21px;
  }

  .filter-input label {
    padding-left: 30px;
  }
  .filters-quantity {
    display: none;
  }
  .popup-gallery__main {
    width: 743px;
    height: 543px;
  }
  .popup-gallery__close-button-bg {
    width: 85px;
    height: 85px;
  }
  .popup-gallery__close-button-front {
    width: 38px;
    height: 38px;
    background-size: 100% 2px, 2px 200%;
  }

  .popup-gallery__main .swiper-button-next {
    right: 22px;
  }
  .popup-gallery__main .swiper-button-prev {
    left: 22px;
  }
}

@media only screen and (max-width: 1430px) {
  .grid {
    width: 79.5%;
  }
  .product-text {
    /* margin-bottom: 80px; *96* */
  }
  .product-text {
    /* 96 */
    bottom: 42px;
  }
  .breads {
    /* margin-bottom: 39px; *96* */
  }
  .container.container_filters {
    padding: 11px 0;
  }
  .projects-wrap {
    grid-gap: 38px;
    margin-bottom: 115px;
  }
  .slider-project__visual {
    height: 228px;
    margin-bottom: 18px;
  }
  .filters-wrap {
    margin-bottom: 20px;
  }
  .popup-gallery__main {
    width: 649px;
    height: 475px;
  }

  .popup-gallery__main .swiper-button-next,
  .popup-gallery__main .swiper-button-prev {
    width: 17px;
    height: 34px;
    margin-top: -17px;
  }

  .popup-gallery__main .swiper-button-next {
    right: 20px;
  }
  .popup-gallery__main .swiper-button-prev {
    left: 20px;
  }
}

@media only screen and (max-width: 1270px) {
  .grid {
    width: 90.5%;
  }
  .container.container_projects {
    min-height: 421px;
  }

  .mainpage-title {
    font-size: 48px;
  }
  .container.container_projects .mainpage-title {
    margin-bottom: 18px;
  }

  .container.container_projects {
    min-height: 386px;
  }
  .product-text {
    /* margin-bottom: 41px; *96* */
  }
  .product-text {
    /* 96 */
    height: 55%;
    bottom: 19px;
  }
  .breads {
    /* margin-bottom: 36px; *96* */
  }
  .mainpage-text {
    width: 51%;
  }
  .filter-select {
    width: 143px;
    padding: 7px 28px 7px 18px;
  }
  .filter-select__placeholder span {
    font-size: 12px;
  }
  .filter {
    margin-right: 8px;
  }
  .filters-clear__ico {
    width: 15px;
    height: 15px;
  }
  .filters-selects {
    margin-right: 15px;
  }
  .slider-project__visual {
    height: 208px;
    margin-bottom: 18px;
  }
  .projects-wrap {
    grid-gap: 32px;
    margin-bottom: 33px;
  }
  .filters-wrap {
    margin-bottom: 25px;
  }
}

@media only screen and (max-width: 1023px) {
  .grid {
    width: 87.5%;
  }
  .mainpage-text {
    width: 67%;
  }
  .container.container_projects {
    min-height: 371px;
  }
  .container.container_projects .mainpage-title {
    margin-bottom: 10px;
  }

  .filters-clear__text {
    font-size: 14px;
  }
  .slider-project__visual {
    height: 148px;
    margin-bottom: 12px;
  }
  .projects-wrap {
    grid-gap: 25px;
    margin-bottom: 53px;
  }
  .popup-gallery__main {
    width: 575px;
    height: 421px;
  }
  .calc-block-switcher {
    position: absolute;
    left: calc(50% - 72px);
    top: 45%;
    width: 144px;
  }
}

@media only screen and (max-width: 767px) {
  .filter.mobil {
    display: block;
  }
  .filter {
    display: none;
  }

  .grid {
    width: 92%;
  }
  .container.container_projects {
    min-height: 347px;
  }

  .projects-wrap {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 33px;
    z-index: 1;
    margin-bottom: 45px;
  }
  .slider-project__visual {
    height: 254px;
    margin-bottom: 20px;
  }
  .mainpage-text {
    width: 100%;
  }
  .product-text {
    /* margin-bottom: 22px; */
    /* 96 */
    width: 79%;
    height: 60%;
  }
  .mainpage-title {
    font-size: 32px;
  }
  .container.container_projects .mainpage-title {
    margin-bottom: 24px;
  }
  .breads {
    /* margin-bottom: 21px; */
  }
  .filters-selects {
    margin-right: 8px;
  }
  .filters-clear__ico {
    width: 24px;
    height: 24px;
  }
  .popup-gallery__main {
    width: 375px;
    height: 275px;
  }
  .popup-gallery__main .swiper-button-next {
    right: 15px;
  }
  .popup-gallery__main .swiper-button-prev {
    left: 15px;
  }
}

.annealed-float__figure > figcaption > h6,
.tinted__figure > figcaption > h6 {
  font-weight: normal;
}
.obscured-glass__figure > img {
  width: 100%;
}

/* ===== glass-and-security адаптив ===== 14.04.22 == */
@media only screen and (max-width: 1700px) {
  .cards-row {
    width: 549px;
    gap: 7px;
    right: -6px;
    top: 67px;
  }

  .cards-row__item {
    padding: 4px 7px;
  }

  .cards-row-img {
    margin-bottom: 4px;
  }
  .cards-row-txt {
    text-align: center;
    padding: 0 3px;
  }
  .article-block-rowpics > article > p.title-1 {
    font-size: 20px;
    margin-bottom: 24px;
  }
  .article-block-rowpics {
    width: 57%;
  }
  .article-block h3 {
    margin-bottom: 26px;
  }

  .article-block-rowpics .text-2 {
    font-size: 17px;
  }
  .container.container_articleblock-rowpics {
    padding-bottom: 44px;
  }

  .article-block.article-block-rowpics p.color-gray-dark.text-2 {
    margin-bottom: 0px;
  }

  .container.container_lightdark {
    padding-top: 0;
  }

  .container_lightdark.container_invert {
    padding-top: 78px;
    padding-bottom: 81px;
  }
  .container_lightdark.container_invert p.title-1 {
    font-size: 20px;
    margin-bottom: 46px;
  }
  .container_lightdark.container_invert .color-gray-dark.text-2 {
    font-size: 17px;
  }

  .article-pic.article-pic_10 {
    width: 50%;
  }
  .article-pic.article-pic_9 {
    bottom: 8%;
    width: 480px;
  }
  .container_lightdark.container_invert p.color-gray-dark.text-2 {
    margin-bottom: 0;
  }
  .container.container_low-e-glass {
    padding-top: 51px;
    padding-bottom: 48px;
  }

  .container.container_articleblock.container_low-e-glass.container_invert .article-block {
    width: 56%;
  }

  .container.container_articleblock.container_low-e-glass.container_invert h3 {
    margin-bottom: 41px;
  }

  .container.container_articleblock.container_low-e-glass.container_invert .title-1 {
    font-size: 20px;
    margin-bottom: 39px;
  }
  .article-pic.article-pic_11 {
    width: 610px;
    right: 12.6%;
    top: 53px;
  }
  .container.container_articleblock.container_low-e-glass.container_invert .color-gray-dark.text-2 {
    margin-bottom: 0;
  }
  .container_obscured-glass {
    background-position: top 180px left 0px;
    background-size: 515px 247px;
  }

  /* ==== */

  .obscured-glass {
    padding-top: 88px;
    padding-bottom: 261px;
  }
  .obscured-glass__left > h2 {
    font-size: 64px;
    margin-bottom: 20px;
  }
  .obscured-glass__left {
    padding-top: 260px;
  }
  .obscured-glass__right {
    width: 656px;
    margin-left: 99px;
  }

  .obscured-glass__grid {
    gap: 25px;
  }
  .obscured-glass__figure:nth-child(even) {
    top: 153px;
  }

  .obscured-glass__figure > img {
    height: 319px;
  }

  .obscured-glass__figure > figcaption {
    font-size: 20px;
    margin: 30px 20px 40px 20px;
  }

  /* ==== */

  .annealed-float {
    padding-top: 83px;
    padding-bottom: 124px;
  }

  .annealed-float__left {
    width: 33%;
    padding-top: 0px;
  }

  .annealed-float__left > h2 {
    font-size: 64px;
    margin-bottom: 45px;
  }
  .annealed-float__right {
    margin-left: 10%;
  }
  .annealed-float p {
    margin-bottom: 25px;
  }
  .annealed-float__grid {
    column-gap: 26px;
    row-gap: 34px;
  }
  .annealed-float__figure:nth-child(even) {
    top: 105px;
  }
  .annealed-float__figure > img {
    height: 314px;
  }
  .annealed-float__figure > figcaption > h6 {
    font-size: 20px;
    margin-bottom: 10px;
  }
  .annealed-float__figure > figcaption {
    margin: -30px 20px 40px 40px;
  }

  /* ==== */

  .tinted {
    padding-top: 95px;
    padding-bottom: 196px;
  }
  .container_tinted {
    background-position: top 170px left 0px;
    background-size: 610px 293px;
  }

  .tinted__left {
    width: 34%;
    padding-top: 270px;
  }
  .tinted__left > h2 {
    font-size: 64px;
    margin-bottom: 14px;
  }
  .tinted__grid {
    gap: 30px;
  }
  .tinted__figure:nth-child(even) {
    top: 72px;
  }

  .tinted__figure > img {
    height: 226px;
    margin-top: 32px;
  }
  .tinted__figure > figcaption {
    margin: 24px 38px 33px 38px;
  }
  .tinted__figure > figcaption > h6 {
    font-size: 20px;
    margin-bottom: 15px;
  }
  /* ==== */
  .container.container_calc {
    padding: 52px 0;
    height: 743px;
    background: url(../img/calculator/calc-bg.jpg) no-repeat center;
    background-size: cover;
  }
  .calc-block-info {
    padding-top: 111px;
  }
  .calc-block-info__sub {
    margin-bottom: 16px;
  }
  .calc-block-info__title {
    margin-bottom: 12px;
  }
  .calc-block-info__text {
    margin-bottom: 6px;
  }
  .calc-block-pin {
    width: 60px;
    height: 60px;
    margin-right: 8px;
  }
  .calc-block-info__buttons {
    margin-bottom: 40px;
  }
  .calc-block-info__buttons .button {
    margin-right: 9px;
  }
  .calc-block-info__logos span {
    font-size: 14px;
  }
  .calc-block-info__logos img {
    margin-right: 5px;
    height: 18px;
  }
  .calc-pagi {
    right: 0%;
    /* width: 142px; */
  }
  .calc-block-img {
    width: 515px;
    left: 37%;
    top: 80px;
  }

  .container__reasons-upgrade {
    background-position: top 183px left 0px;
    background-size: 506px 243px;
  }
  .reasons-upgrade {
    padding-top: 114px;
    padding-bottom: 130px;
  }
  .reasons-upgrade__left {
    width: 350px;
    padding-top: 260px;
  }
  .reasons-upgrade__right {
    width: 664px;
  }
  .reasons-upgrade__grid {
    gap: 35px;
  }
  .reasons-upgrade__svg {
    position: absolute;
    top: 25px;
    right: 30px;
    width: 78px;
    height: 78px;
    z-index: 2;
    border-radius: 50%;
    transition: all 1s;
  }
  .reasons-upgrade__img {
    height: 350px;
  }
  .reasons-upgrade__figure > figcaption {
    position: absolute;
    left: 35px;
    bottom: 20px;
    width: calc(100% - 35px - 35px);
    font-size: 20px;
  }
  .reasons-upgrade__figure:nth-child(even) {
    top: 54px;
  }
  .menu {
    /* 96 */
    background-position: bottom left;
    background-size: 397px 190px;
  }
}
@media only screen and (max-width: 1430px) {
  /* ==== */
  .container.container_articleblock-rowpics {
    padding-top: 82px;
    padding-bottom: 112px;
  }

  .article-block-rowpics {
    width: 59%;
  }

  .cards-row {
    width: 550px;
    gap: 6px;
    right: -93px;
  }
  /* ==== */
  .container_lightdark.container_invert {
    padding-top: 58px;
    padding-bottom: 34px;
  }
  .article-pic.article-pic_9 {
    bottom: 9%;
    width: 430px;
  }
  /* ==== */
  .container.container_low-e-glass {
    padding-top: 87px;
    padding-bottom: 92px;
  }
  .article-pic.article-pic_11 {
    width: 588px;
    right: 9.6%;
    top: 101px;
  }
  /* ==== */
  .container_obscured-glass {
    background-position: top 108px left 0px;
    background-size: 501px 241px;
  }
  .obscured-glass {
    padding-top: 69px;
    padding-bottom: 285px;
  }
  .obscured-glass__left {
    width: 41%;
    padding-top: 204px;
  }
  .obscured-glass__right {
    width: 586px;
    margin-left: 20px;
  }
  .obscured-glass__figure:nth-child(even) {
    top: 172px;
  }
  .obscured-glass__figure > img {
    height: 281px;
  }

  .obscured-glass__figure > figcaption {
    margin: 25px 20px 40px 25px;
  }
  /* ==== */
  .annealed-float {
    padding-top: 94px;
    padding-bottom: 98px;
  }
  .annealed-float__grid {
    gap: 22px;
  }
  .annealed-float__figure:nth-child(even) {
    top: 93px;
  }
  .annealed-float__figure > img {
    height: 286px;
  }
  /* ==== */
  .tinted {
    padding-top: 59px;
    padding-bottom: 112px;
  }
  .container_tinted {
    background-position: top 241px left 0px;
    background-size: 501px 241px;
  }
  .tinted__left {
    padding-top: 303px;
  }
  .tinted__grid {
    gap: 27px;
  }

  .tinted__figure:nth-child(even) {
    top: 64px;
  }
  .tinted__figure > img {
    height: 200px;
    margin-top: 17px;
  }
  .tinted__figure > figcaption {
    margin: 12px 32px 28px 32px;
  }
  .tinted__figure > figcaption > h6 {
    margin-bottom: 12px;
  }
  /* ==== */
  .container.container_calc {
    padding: 52px 0;
    height: 661px;
  }
  .calc-block-info {
    padding-top: 88px;
  }
  .calc-block-info__sub span {
    font-size: 14px;
  }
  .calc-block-info__buttons {
    margin-bottom: 20px;
  }
  .calc-pagi {
    right: -2%;
    /* width: 124px; */
  }
  .calc-block-img {
    width: 453px;
    left: 40%;
    top: 70px;
  }
  .calc-block-info__logos span {
    margin-right: 6px;
  }
  .calc-block-info__logos img {
    height: 14px;
  }
  .container__reasons-upgrade {
    background-position: top 195px left 0px;
    background-size: 506px 243px;
  }
  .reasons-upgrade {
    padding-top: 130px;
    padding-bottom: 130px;
  }
  .reasons-upgrade__left {
    width: 315px;
    padding-top: 245px;
  }
  .reasons-upgrade__right {
    width: 587px;
  }
  .reasons-upgrade__grid {
    gap: 30px;
  }
  .reasons-upgrade__svg {
    top: 22px;
    right: 30px;
    width: 74px;
    height: 74px;
  }
  .reasons-upgrade__img {
    height: 310px;
  }
  .reasons-upgrade__figure > figcaption {
    left: 30px;
    bottom: 20px;
    width: calc(100% - 30px - 30px);
    font-size: 18px;
  }
  .reasons-upgrade__figure:nth-child(even) {
    top: 46px;
  }
  .menu__footer {
    /* 96 */
    bottom: 30px;
    width: 353px;
  }
}
@media only screen and (max-width: 1270px) {
  /* ==== */
  .cards-row {
    width: 273px;
    gap: 7px;
    right: 64px;
    top: -37px;
    flex-wrap: wrap;
  }
  .cards-row__item {
    width: calc(100% / 2 - 4px);
  }
  .article-block h3 {
    font-size: 28px;
  }
  .article-block-rowpics > article > p.title-1 {
    font-size: 18px;
    margin-bottom: 26px;
  }
  .article-block-rowpics .text-2 {
    font-size: 14px;
  }
  .article-block-rowpics {
    width: 62%;
  }

  .container.container_articleblock-rowpics {
    padding-bottom: 106px;
  }
  /* ==== */
  .container_lightdark.container_invert p.title-1 {
    font-size: 18px;
    margin-bottom: 26px;
  }
  .container_lightdark.container_invert .color-gray-dark.text-2 {
    font-size: 14px;
  }
  .article-pic.article-pic_9 {
    bottom: 6%;
    left: 5%;
    width: 420px;
  }
  .container_lightdark.container_invert {
    padding-bottom: 39px;
  }
  /* ==== */
  .container.container_low-e-glass {
    padding-top: 54px;
    padding-bottom: 62px;
  }
  .article-pic.article-pic_11 {
    width: 588px;
    right: 9.6%;
    top: 101px;
  }
  .container.container_articleblock.container_low-e-glass.container_invert h3 {
    margin-bottom: 26px;
  }
  .container.container_articleblock.container_low-e-glass.container_invert .title-1 {
    font-size: 18px;
    margin-bottom: 26px;
  }
  .container.container_articleblock.container_low-e-glass.container_invert .color-gray-dark.text-2 {
    font-size: 14px;
  }
  .article-pic.article-pic_11 {
    width: 546px;
    right: 3.9%;
    top: 48px;
  }
  /* ==== */
  .container_obscured-glass {
    background-position: top 105px left 0px;
    background-size: 429px 205px;
  }

  .obscured-glass {
    padding-top: 75px;
    padding-bottom: 197px;
  }
  .obscured-glass__left {
    width: 41%;
    padding-top: 155px;
  }
  .obscured-glass__left > h2 {
    font-size: 48px;
    margin-bottom: 22px;
  }
  .obscured-glass__grid {
    gap: 20px;
  }
  .obscured-glass__figure:nth-child(even) {
    top: 133px;
  }
  .obscured-glass__figure > img {
    height: 217px;
  }
  .obscured-glass__right {
    width: 454px;
    margin-left: 100px;
  }
  .obscured-glass__figure > figcaption {
    font-size: 18px;
    margin: 20px 13px 20px 20px;
  }
  /* ==== */

  .annealed-float {
    padding-top: 61px;
    padding-bottom: 71px;
  }
  .annealed-float__left {
    width: 55%;
    padding-top: 31px;
  }

  .annealed-float__left > h2 {
    font-size: 48px;
    margin-bottom: 45px;
  }
  .annealed-float__left {
    width: 55%;
    padding-top: 31px;
  }

  .annealed-float__right {
    margin-left: 9%;
    width: 61%;
  }
  .annealed-float__grid {
    column-gap: 17px;
    row-gap: 14px;
  }
  .annealed-float__figure:nth-child(even) {
    top: 71px;
  }
  .annealed-float__figure > img {
    height: 220px;
  }
  .annealed-float__figure > figcaption > h6 {
    font-size: 18px;
    margin-bottom: 5px;
  }
  .annealed-float__figure > figcaption {
    margin: -17px 20px 25px 20px;
  }
  /* ==== */

  .tinted {
    padding-top: 67px;
    padding-bottom: 110px;
  }
  .container_tinted {
    background-position: top 159px left 0px;
    background-size: 429px 205px;
  }
  .tinted__left {
    width: 45%;
    padding-top: 216px;
  }
  .tinted__left > h2 {
    font-size: 48px;
  }
  .tinted__right {
    margin-left: 8%;
    width: 50%;
  }

  .tinted__grid {
    gap: 20px;
  }
  .tinted__figure:nth-child(even) {
    top: 49px;
  }
  .tinted__figure > img {
    height: 154px;
    margin-top: 14px;
  }
  .tinted__figure > figcaption {
    margin: 8px 17px 18px 23px;
  }
  .tinted__figure > figcaption > h6 {
    font-size: 18px;
    margin-bottom: 6px;
  }
  /* ==== */
  .container.container_calc {
    padding: 37px 0;
    height: 528px;
  }
  .calc-block-info__sub span {
    font-size: 12px;
  }
  .calc-block-info {
    padding-top: 81px;
  }
  .calc-block-info__title h3 {
    font-size: 28px;
  }
  .calc-block-info__sub {
    margin-bottom: 10px;
  }
  .calc-block-info__title {
    margin-bottom: 7px;
  }
  .calc-block-pin {
    width: 48px;
    height: 48px;
    margin-right: 6px;
  }
  .calc-block-img {
    width: 388px;
    left: 43%;
    top: 35px;
  }
  .calc-block {
    width: 44%;
  }
  .container__reasons-upgrade {
    background-position: top 130px left 0px;
    background-size: 364px 174px;
  }
  .reasons-upgrade {
    padding-top: 64px;
    padding-bottom: 60px;
  }
  .reasons-upgrade__left {
    width: 252px;
    padding-top: 200px;
  }
  .reasons-upgrade__right {
    width: 532px;
  }
  .reasons-upgrade__grid {
    gap: 25px;
  }
  .reasons-upgrade__svg {
    top: 20px;
    right: 25px;
    width: 70px;
    height: 70px;
  }
  .reasons-upgrade__img {
    height: 284px;
  }
  .reasons-upgrade__figure > figcaption {
    left: 27px;
    bottom: 20px;
    width: calc(100% - 27px - 27px);
    font-size: 18px;
  }
  .reasons-upgrade__figure:nth-child(even) {
    top: 44px;
  }
  .menu__footer {
    /* 96 */
    bottom: 30px;
  }
}
@media only screen and (max-width: 1023px) {
  /* ==== */
  .container.container_articleblock-rowpics {
    padding-top: 53px;
    padding-bottom: 127px;
  }

  .article-block-rowpics {
    width: 58%;
  }
  .article-block h3 {
    margin-bottom: 13px;
  }
  .article-block-rowpics > article > p.title-1 {
    margin-bottom: 14px;
  }
  .cards-row {
    width: 315px;
    right: -10px;
    top: 0px;
  }
  /* ==== */
  .container_lightdark.container_invert {
    padding-top: 44px;
    padding-bottom: 44px;
  }
  .article-pic.article-pic_10 {
    width: 54%;
  }
  .article-pic.article-pic_9 {
    bottom: 38%;
    left: 7%;
    width: 271px;
  }
  /* ==== */
  .container.container_low-e-glass {
    padding-top: 58px;
    padding-bottom: 65px;
  }
  .container.container_articleblock.container_low-e-glass.container_invert h3 {
    margin-bottom: 14px;
  }
  .container.container_articleblock.container_low-e-glass.container_invert .title-1 {
    margin-bottom: 14px;
  }
  .article-pic.article-pic_11 {
    width: 396px;
    right: 4.9%;
    top: 124px;
  }
  /* ==== */
  .container_obscured-glass {
    background-position: top 48px left 0px;
    background-size: 362px 173px;
  }
  .obscured-glass {
    padding-top: 74px;
    padding-bottom: 140px;
  }
  .obscured-glass__left {
    width: 41%;
    padding-top: 65px;
  }
  .obscured-glass__right {
    width: 316px;
    margin-left: 87px;
  }
  .obscured-glass__grid {
    gap: 9px;
  }
  .obscured-glass__figure:nth-child(even) {
    top: 77px;
  }
  .obscured-glass__figure > img {
    height: 154px;
  }
  .obscured-glass__figure > figcaption {
    margin: 14px 0px 18px 18px;
  }
  /* ==== */

  .annealed-float {
    padding-top: 55px;
    padding-bottom: 67px;
  }
  .annealed-float__left {
    width: 60%;
    padding-top: 10px;
  }
  .annealed-float__left > h2 {
    margin-bottom: 22px;
  }

  .annealed-float__figure:nth-child(even) {
    top: 129px;
  }
  .annealed-float__figure > img {
    height: 154px;
  }
  /* ==== */
  .tinted {
    padding-top: 52px;
    padding-bottom: 93px;
  }
  .container_tinted {
    background-position: top 44px left 0px;
    background-size: 362px 173px;
  }
  .tinted__left {
    padding-top: 84px;
  }
  .tinted__grid {
    gap: 13px;
  }
  .tinted__figure:nth-child(even) {
    top: 34px;
  }
  .tinted__figure > img {
    height: 104px;
    margin-top: 5px;
  }
  .tinted__figure > figcaption {
    margin: 15px 12px 18px 16px;
  }
  /* ==== */

  .container.container_calc {
    padding: 52px 0;
    height: 743px;
    background: url(../img/calculator/calc-bg768.jpg) no-repeat center;
    background-size: cover;
  }
  .calc-pagi {
    display: none;
  }
  .calc-block {
    width: 100%;
  }
  .container.container_calc {
    padding: 29px 0;
    height: 875px;
    background: url(../img/calculator/calc-bg768.jpg) no-repeat center;
    background-size: cover;
  }
  .calc-block-info {
    padding-top: 0px;
  }
  .calc-block-info__sub {
    text-align: center;
  }
  .calc-block-info__title {
    margin-bottom: 435px;
    text-align: center;
    min-height: 68px;
  }
  .calc-block-info__text {
    margin-bottom: 10px;
    text-align: center;
    min-height: 110px;
  }
  .calc-block-info__pins {
    justify-content: center;
    margin-bottom: 35px;
  }
  .calc-block-info__buttons {
    text-align: center;
    margin-bottom: 26px;
  }
  .calc-block-info__logos {
    justify-content: center;
  }
  .calc-block-img {
    width: 400px;
    left: calc(50% - 200px);
    top: 85px;
  }

  .swiper-calc-info-button-next,
  .swiper-calc-info-button-prev {
    display: block;
    height: 44px;
    width: 44px;
    /* background-color: #fff; */
    z-index: 5;
    border-radius: 50%;
    position: absolute;
    top: 250px;
    background: url(../img/calculator/nav-calc-bot.svg) no-repeat center, #fff;
    background-size: 14px 7px;
  }
  .swiper-calc-info-button-next {
    right: 100px;
    transform: rotate(-90deg);
  }
  .swiper-calc-info-button-prev {
    left: 100px;
    transform: rotate(90deg);
  }
  .reasons-upgrade {
    padding-top: 60px;
    padding-bottom: 60px;
  }
  .reasons-upgrade__left {
    width: 256px;
  }
  .reasons-upgrade__right {
    width: 316px;
  }

  .reasons-upgrade__grid {
    grid-template-columns: 1fr;
    gap: 20px;
  }
  .reasons-upgrade__svg {
    top: 25px;
    right: 32px;
    width: 87px;
    height: 87px;
  }
  .reasons-upgrade__img {
    height: 349px;
  }
  .reasons-upgrade__figure > figcaption {
    left: 33px;
    bottom: 20px;
    width: calc(100% - 33px - 33px);
    font-size: 18px;
  }
  .reasons-upgrade__figure:nth-child(even) {
    top: 0px;
  }
  .menu__footer {
    /* 96 */
    bottom: 23px;
  }
}
@media only screen and (max-width: 767px) {
  /* ==== */
  .article-block-rowpics {
    width: 100%;
  }
  .cards-row {
    width: 100%;
    gap: 12px;
    position: relative;
	top: initial;
	margin-top: 36px;
	right: initial;
  }
  
  .cards-row__item {
    width: calc(100% / 2 - 7px);
  }
  .container.container_articleblock-rowpics {
    padding-top: 53px;
    padding-bottom: 0px;
  }
  /* ==== */
  .container_lightdark.container_invert {
    padding-top: 400px;
    padding-bottom: 30px;
  }
  .article-pic.article-pic_10 {
    width: 100%;
  }
  .article-pic.article-pic_9 {
    top: 24%;
    bottom: initial;
    left: 15%;
    width: 256px;
  }
  /* ==== */
  .container.container_low-e-glass {
    /* https://09.f12dev.ru/ramarex-edge/glass-and-security/ */
    padding-top: 46px;
    padding-bottom: 46px;
  }
  .container.container_articleblock.container_low-e-glass.container_invert .article-block {
    width: 100%;
  }
  .article-pic.article-pic_11 {
    /* https://09.f12dev.ru/ramarex-edge/glass-and-security/ */
    width: 100%;
    position: relative;
    left: -35px;
    top: 0;
  }
  /* ==== */
  .container_obscured-glass {
    background-position: top 22px left 0px;
    background-size: 364px 175px;
  }
  .obscured-glass {
    padding-top: 69px;
    padding-bottom: 60px;
  }
  .obscured-glass {
    flex-direction: column;
  }
  .obscured-glass__left {
    width: 100%;
    padding-top: 0px;
  }

  .obscured-glass__right {
    width: 100%;
    margin-left: 0;
    margin-top: 30px;
  }
  .obscured-glass__grid {
    gap: 13px;
  }
  .obscured-glass__figure:nth-child(even) {
    top: 0px;
  }
  .obscured-glass__figure > img {
    height: 169px;
  }
  /* ==== */
  .annealed-float {
    padding-top: 50px;
    padding-bottom: 56px;
    flex-direction: column;
  }

  .annealed-float__left {
    width: 100%;
    padding-top: 0px;
  }
  .annealed-float__right {
    width: 100%;
    margin-left: 0;
  }
  .annealed-float__grid {
    display: grid;
    grid-template-columns: 1fr;
    row-gap: 13px;
  }
  figure.annealed-float__figure {
    display: flex;
    align-items: center;
  }
  .annealed-float__figure > figcaption {
    margin: 0;
  }
  .annealed-float__figure:nth-child(even) {
    top: 0px;
  }
  .annealed-float p {
    margin-bottom: 0;
  }
  /* ==== */
  .container_tinted {
    background-position: top 52px left 0px;
    background-size: 364px 175px;
  }
  .tinted {
    padding-top: 98px;
    padding-bottom: 42px;
    flex-direction: column;
  }
  .tinted__left {
    padding-top: 0;
    width: 100%;
  }
  .tinted__right {
    margin-left: 0;
    width: 100%;
    margin-top: 26px;
  }
  .tinted__figure:nth-child(even) {
    top: 0;
  }
  /* ==== */
  .container.container_calc {
    padding: 25px 0;
    height: 810px;
    background: url(../img/calculator/calc-bg375.jpg) no-repeat center;
    background-size: cover;
  }
  .calc-block-img {
    width: 280px;
    /* left: 13%; */
    left: calc(50% - 140px);
    top: 85px;
  }
  .calc-block-info__title {
    margin-bottom: 285px;
  }

  .calc-block-info__logos img {
    height: 17px;
  }

  .calc-block-info__logos {
    flex-wrap: wrap;
  }

  .container__reasons-upgrade {
    background-position: top 42px left 0px;
  }
  .reasons-upgrade {
    justify-content: flex-start;
    flex-direction: column;
    padding-top: 71px;
    padding-bottom: 60px;
  }
  .reasons-upgrade__left {
    width: 100%;
    padding-top: 0px;
  }
  .reasons-upgrade__left h2,
  .reasons-upgrade__left h4 {
    margin-bottom: 24px;
  }
  .reasons-upgrade__right {
    width: 100%;
  }
  .reasons-upgrade__svg {
    top: 25px;
    right: 25px;
  }
  .reasons-upgrade__img {
    width: 100%;
  }
  .menu {
    /* 96 */
    background-size: 349px 167px;
  }
}

/* Нужно  перенести в style.css */

/* главная */

.mainpage-pagination-title {
  width: 90%;
}

.mainpage-pagination-button {
  visibility: hidden;
}

.swiper-slide.swiper-slide-thumb-active .mainpage-pagination-container .mainpage-pagination-button {
  visibility: visible;
}

.mainpage-timer {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 12px;
  background: rgb(255 255 255 / 20%);
  z-index: 999;
}

.mainpage-timer::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  height: 100%;
  background: rgb(255 255 255 / 80%);
  width: 0%;
}

.mainpage-timer.active::before {
  animation: timer 6s ease-out 0s 1;
}

@keyframes timer {
  from {
    width: 0%;
  }
  to {
    width: 100%;
  }
}

@media only screen and (max-width: 1700px) {
  .mainpage-timer {
    height: 9px;
  }
}
@media only screen and (max-width: 1430px) {
  .mainpage-timer {
    height: 8px;
  }
}
@media only screen and (max-width: 1270px) {
  .mainpage-timer {
    height: 6px;
  }
}

.mainpage-photos_swiper-button-next {
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  width: 15%;
  opacity: 0;
  transition: 0.3s ease-out;
  z-index: 1;
  cursor: pointer;
}

@media (any-hover: hover) {
  .mainpage-photos_swiper-button-next:hover {
    opacity: 1;
  }
}

.mainpage-photos_swiper-button-next::before {
  content: "";
  margin: auto;
  width: 66px;
  height: 66px;
  background-color: #fff;
  border-radius: 50%;
  position: absolute;
  top: 0;
  right: 40px;
  bottom: 0;
  left: initial;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTQiIGhlaWdodD0iMjQiIHZpZXdCb3g9IjAgMCAxNCAyNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTEuNSAyMi41TDEyIDExLjk5OTdMMS41IDEuNSIgc3Ryb2tlPSIjM0UzRTNFIiBzdHJva2Utd2lkdGg9IjIiLz4KPC9zdmc+Cg==");
  background-repeat: no-repeat;
  background-position: 50% 50%;
  background-size: 11px 21px;
}

/* главная end */

/* Нужно  перенести в style.css */

@media only screen and (max-width: 767px) {
  .calc-block-info__logos span {
    margin-right: 0px;
    margin-bottom: 3px;
  }
  .calc-block-switcher {
    top: 37%;
  }
  .swiper-calc-info-button-next,
  .swiper-calc-info-button-prev {
    top: 200px;
  }
  .swiper-calc-info-button-prev {
    left: 0px;
  }
  .swiper-calc-info-button-next {
    right: 0px;
  }
  .calc-block-info__text {
    min-height: 202px;
  }
  .calc-block-info__pins {
    margin-bottom: 20px;
  }
  .calc-block-info__buttons {
    margin-bottom: 20px;
  }
}
